/preview/retail-media/insights/share-of-voice
curl --request POST \
--url https://api.criteo.com/preview/retail-media/insights/share-of-voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"accountId": "<string>",
"dimensions": [],
"endDate": "2023-11-07T05:31:56Z",
"metrics": [],
"startDate": "2023-11-07T05:31:56Z",
"accountIds": [
"<string>"
],
"activationPlatforms": [],
"aggregationLevel": "category",
"brandIds": [
"<string>"
],
"budgetModels": [],
"campaignType": "all",
"format": "json-compact",
"keywords": [
"<string>"
],
"keywordTypes": [],
"retailerIds": [
"<string>"
],
"servedCategories": [
"<string>"
]
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/retail-media/insights/share-of-voice"
payload = { "data": {
"attributes": {
"accountId": "<string>",
"dimensions": [],
"endDate": "2023-11-07T05:31:56Z",
"metrics": [],
"startDate": "2023-11-07T05:31:56Z",
"accountIds": ["<string>"],
"activationPlatforms": [],
"aggregationLevel": "category",
"brandIds": ["<string>"],
"budgetModels": [],
"campaignType": "all",
"format": "json-compact",
"keywords": ["<string>"],
"keywordTypes": [],
"retailerIds": ["<string>"],
"servedCategories": ["<string>"]
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
accountId: '<string>',
dimensions: [],
endDate: '2023-11-07T05:31:56Z',
metrics: [],
startDate: '2023-11-07T05:31:56Z',
accountIds: ['<string>'],
activationPlatforms: [],
aggregationLevel: 'category',
brandIds: ['<string>'],
budgetModels: [],
campaignType: 'all',
format: 'json-compact',
keywords: ['<string>'],
keywordTypes: [],
retailerIds: ['<string>'],
servedCategories: ['<string>']
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/preview/retail-media/insights/share-of-voice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"createdAt": "<string>",
"expiresAt": "<string>",
"fileSizeBytes": 123,
"md5CheckSum": "<string>",
"message": "<string>",
"rowCount": 123
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/retail-media/insights/share-of-voice
Generate a share of voice insight
POST
/
preview
/
retail-media
/
insights
/
share-of-voice
/preview/retail-media/insights/share-of-voice
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
200 - application/json
Success
A top-level object that encapsulates a Criteo API response for a single entity.
Was this page helpful?
/preview/retail-media/insights/digital-shelf-intelligence
Previous
/preview/retail-media/reports/{reportId}/output
Next
⌘I